com.amazonaws.services.simpleworkflow.model

## Class DomainDetail

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.simpleworkflow.model.DomainDetail

All Implemented Interfaces:
  Serializable, Cloneable

    public class DomainDetail
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Contains details of a domain.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DomainDetail()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DomainDetail` `clone()`
`boolean` `equals(Object obj)`
`DomainConfiguration` `getConfiguration()`
`DomainInfo` `getDomainInfo()`
`int` `hashCode()`
`void` `setConfiguration(DomainConfiguration configuration)`
`void` `setDomainInfo(DomainInfo domainInfo)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DomainDetail` `withConfiguration(DomainConfiguration configuration)`
`DomainDetail` `withDomainInfo(DomainInfo domainInfo)`

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DomainDetail

    public DomainDetail()

### Method Detail

#### setDomainInfo

    public void setDomainInfo(DomainInfo domainInfo)

Parameters:
  `domainInfo` -

#### getDomainInfo

    public DomainInfo getDomainInfo()

Returns:

#### withDomainInfo

    public DomainDetail withDomainInfo(DomainInfo domainInfo)

Parameters:
  `domainInfo` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setConfiguration

    public void setConfiguration(DomainConfiguration configuration)

Parameters:
  `configuration` -

#### getConfiguration

    public DomainConfiguration getConfiguration()

Returns:

#### withConfiguration

    public DomainDetail withConfiguration(DomainConfiguration configuration)

Parameters:
  `configuration` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DomainDetail clone()

Overrides:
  `clone` in class `Object`